
load("data.rdata")

ls()
dim(X)
dim(Xvd)

sum(colnames(X) == names(y.erpos))

source("clsf-DLDA.r")
s = apply(X, 1, sd, na.rm=TRUE)
i = which(s> 1.25)
r = cvestim.dlda(X[i,], y.erpos, ntop=c(2,5,7))

source("clsf-LREG.r")
r = cvestim.lreg(X[i,], y.erpos, ntop=c(2,5,7))

source("adaboost.r")
r = simple.adaboost(t(X[i,]), 2*y.pcr-1, t(Xvd[i,]), 2*yvd.pcr-1, iterations=200)

plot(r[[1]], type="l", ylim=c(0,0.4), xlab="Iterations", ylab="Error", lwd=2)
lines(r[[2]],  col="red", lwd=2)
legend("topright", legend=c("Train data", "Validation data"), col=c("black","red"), lwd=2)

